import { PartialFASTElementDefinition } from '@microsoft/fast-element';
import { TemplateOptions } from './templates';
/**
 * Do not reference any ../main files here. We must avoid ../tags being referenced and therefore setup pre-configuration.
 */
/**
 * HeaderConfig DI interface.
 *
 * @public
 */
export interface HeaderConfig extends PartialFASTElementDefinition {
    /**
     * Template options.
     *
     * @remarks
     * Used by host applications to assign MF template options and subcomponent tags to align with the host design system.
     */
    templateOptions: TemplateOptions;
}
/**
 * Default HeaderConfig DI implementation.
 * @public
 */
export declare const defaultHeaderConfig: HeaderConfig;
/**
 * HeaderConfig DI key.
 *
 * @internal
 * @privateRemarks
 * Marked as internal to stop api-extractor becoming confused cross-linking tokens with the same name.
 */
export declare const HeaderConfig: import("@microsoft/fast-foundation").InterfaceSymbol<HeaderConfig>;
//# sourceMappingURL=config.d.ts.map